import Taro, { Component } from '@tarojs/taro';
import Authorize from '@components/authorize'
import './index.scss'
import { savePoint, updatePoint } from '@services/common'
import { connect } from '@tarojs/redux'
import { View, Text, Picker } from '@tarojs/components';
const iconImg = require('@assets/person/icon.png')

@connect(({ user, city }) => ({ user, city }))
export default class transactionCustomer extends Taro.Component {

  config = {
    navigationBarTitleText: '跟进客户'
  }

  state = {
    list: [
      { name: '刘丽丽', phone: '15852364821', sex: '1' },
      { name: '邓亚平', phone: '13160056061', sex: '2' },
    ],
    recordId: undefined, // 埋点ID
    inputValue: '',
    screenVisible: false,
    statusList: ['全部状态', '认筹', '到访', '签约'],
    statusIndex: -1,
    visitDate: '',
    visitDate2: '',
    reportDate: '',
    reportDate2: '',
  }

  componentWillUnmount() {
    const { recordId } = this.state
    recordId && updatePoint(recordId)
  }
  changeInput = e => {
    this.setState({
      inputValue: e.detail.value
    })
  }
  searchBtn() {
    const palyload = {
      inputValue: this.state.inputValue
    }
    console.log(this.state.inputValue, "inputValue")
  }
  screenShow() {
    this.setState({
      screenVisible: true,
    })
  }
  chooseStatus(item, inx) {
    this.setState({
      statusIndex: inx,
    })
    console.log(item, inx, "eeeeeeeeeeee")
  }
  onVisitDateChange = e => {
    this.setState({
      visitDate: e.detail.value
    })
  }
  onVisitDateChange2 = e => {
    this.setState({
      visitDate2: e.detail.value
    })
  }
  onReportDateChange = e => {
    this.setState({
      reportDate: e.detail.value
    })
  }
  onReportDateChange2 = e => {
    this.setState({
      reportDate2: e.detail.value
    })
  }
  saveBtn() {
    this.setState({
      screenVisible: false,
    })
  }
  cancelBtn() {
    this.setState({
      screenVisible: false,
    })
  }
  toMyCustomer() {
    Taro.navigateTo({
      url: `/pages/person/customerAnalysis/myCustomer`
    })
  }
  renderScreenBox() {
    const { statusList, statusIndex, visitDate, visitDate2, reportDate, reportDate2 } = this.state
    return (
      <View className="mask">
        <View className="content">
          <View style="color:#333;font-size:14px">精准筛选</View>
          <View className="status-box">
            {
              statusList.map((item, index) => (
                <View key={index + 'status'} className={index == statusIndex ? 'checked' : 'status-item'} onClick={this.chooseStatus.bind(this, item, index)}>{item}</View>
              ))
            }
          </View>
          <View className="time-box">
            到访时间：
              <Picker mode='date' onChange={this.onVisitDateChange}>
              <View className='picker'>
                {visitDate}
                {!visitDate && <Text className="placeholder">起始时间</Text>}
              </View>
            </Picker>-<Picker mode='date' onChange={this.onVisitDateChange2}>
              <View className='picker'>
                {visitDate2}
                {!visitDate2 && <Text className="placeholder">结束时间</Text>}
              </View>
            </Picker>
          </View>
          <View className="time-box" style="margin-top:16px">
            报备时间：
              <Picker mode='date' onChange={this.onReportDateChange}>
              <View className='picker'>
                {reportDate}
                {!reportDate && <Text className="placeholder">起始时间</Text>}
              </View>
            </Picker>-<Picker mode='date' onChange={this.onReportDateChange2}>
              <View className='picker'>
                {reportDate2}
                {!reportDate2 && <Text className="placeholder">结束时间</Text>}
              </View>
            </Picker>
          </View>
          <View className="bottom-btn">
            <View className="save" onClick={this.saveBtn}>
              保存
            </View>
            <View className="cancel" onClick={this.cancelBtn}>
              取消
          </View>
            <View>
            </View>
          </View>
        </View>
      </View>
    )
  }

  render() {
    const { list, screenVisible } = this.state

    return (
      <View>
        <View className="top-screen" onClick={this.screenShow}>
          精准筛选<Image src={require('@assets/person/screen.png')} className="screen-img"></Image>
        </View>
        {screenVisible && this.renderScreenBox()}
        <View className="search-box">
          <Input class="input" placeholderClass='placeholder' autoFocus onInput={this.changeInput} placeholder="请输入用户名/手机号" />
          <Button className="btn" onClick={this.searchBtn} >搜索</Button>
        </View>
        <View style="padding:10px">
          {
            list.map((item, index) => (
              <View class="item" key={index + 'list'} onClick={this.toMyCustomer}>
                <Image src={require('@assets/default-avatar.png')} className='img'></Image>
                <View className="name">
                  {item.name}
                  {
                    item.sex == '1' && <View style={`margin-left:10px;background-image: url(${iconImg});background-size: 100%;background-position: 0px -20px;width: 18px;height: 18px;`}></View>
                  }
                  {
                    item.sex == '2' && <View style={`margin-left:10px;background-image: url(${iconImg});background-size: 100%;background-position: 0px 0px;width: 18px;height: 18px;`}></View>
                  }
                </View>
                <View className="phone">{item.phone}<View style={`background-image: url(${iconImg});background-size: 100%;background-position: 0px -44px;width: 22px;height: 22px;`}></View> </View>
                <View className="status">报备</View>
              </View>
            ))
          }
        </View>
      </View>
    )
  }
}